<template>
	<view style="padding: 20rpx;">
		<view style="padding: 30rpx;background-color: white;border-radius:50rpx">
			<u--form labelPosition="left" :model="teamInfo" ref="uForm" labelWidth="120">
				<u-form-item label="制衣生产车间:" prop="zyProductWorkshop" borderBottom @click="showWorkshop = true" :required="true" ref="uItem">
					<u--input v-model="teamInfo.zyProductWorkshop" disabled disabledColor="#ffffff" placeholder="请选择生产车间" border="none"></u--input>
					<u-icon slot="right" name="arrow-right"></u-icon>
				</u-form-item>
				<u-action-sheet :show="showWorkshop" :actions="options" title="请选择车间" @close="showWorkshop = false" @select="workshopSelect" />
				<u-form-item label="制衣班组:" prop="zyTeam" borderBottom ref="uItem" :required="true">
					<u--input v-model="teamInfo.zyTeam" border="none" placeholder="请输入班组"></u--input>
				</u-form-item>
				<u-form-item label="启用:" prop="status" borderBottom ref="uItem" v-show="adminType"><u-switch v-model="teamInfo.status"></u-switch></u-form-item>
				<u-button type="primary" text="提交" customStyle="margin-top: 50px" @click="submit"></u-button>
				<u-button type="error" text="重置" customStyle="margin-top: 10px" @click="reset"></u-button>
			</u--form>
		</view>
		<u-toast ref="uToast"></u-toast>
	</view>
</template>

<script>
import { add, workshopData } from '@/api/biz/team.js';
import { getToken, setToken, removeToken, getAdminType, setAdminType, removeAdminType } from '@/utils/auth';
export default {
	data() {
		return {
			teamInfo: {
				WorkshopId: 0,
				zyProductWorkshop: '',
				zyTeam: '',
				status: false
			},
			// deliveryDateShowFlag: false,
			options: [],
			rules: {
				zyProductWorkshop: {
					type: 'string',
					required: true,
					message: '请填写制衣生产车间',
					trigger: ['blur', 'change']
				},
				zyTeam: {
					type: 'string',
					required: true,
					message: '请填写制衣班组',
					trigger: ['blur', 'change']
				}
			},
			showWorkshop: false,
			adminType: false
		};
	},
	onLoad() {
		this.getWorkshop();
		uni.$on('loadData', () => {
			this.loadData();
		});
	},
	onReady() {
		this.$refs.uForm.setRules(this.rules);
		this.adminType = this.$store.state.user.adminType;
		console.log(getAdminType());
	},
	methods: {
		getWorkshop() {
			workshopData().then(res => {
				if (res.success) {
					for (let i in res.data) {
						// console.log(res.data[i]['id'])
						// console.log(res.data[i]['zyProductWorkshop'])
						let o = {
							value: res.data[i]['id'],
							name: res.data[i]['zyProductWorkshop']
						};

						this.options.push(o);
					}
				} else {
				}
			});
		},
		workshopSelect(e) {
			console.log(e);
			this.teamInfo.zyProductWorkshop = e.name;
			this.teamInfo.workshopId = e.value;
		},
		confirm(e) {
			console.log(e);
		},
		submit() {
			this.$refs.uForm.validate().then(val => {
				add(this.teamInfo).then(res => {
					if (res.success) {
						this.$refs.uToast.show({
							type: 'success',
							message: '新增成功',
							iconUrl: 'https://cdn.uviewui.com/uview/demo/toast/success.png'
						});
						this.reset();
					} else {
						this.$refs.uToast.show({
							type: 'error',
							message: res.message,
							iconUrl: 'https://cdn.uviewui.com/uview/demo/toast/success.png'
						});
					}
				});
			});
		},
		reset() {
			this.teamInfo = {
				zyProductWorkshop: '',
				zyTeam: '',
				status: false
			};
			this.$refs.uForm.clearValidate();
		}
	},
	onUnload() {
		uni.$emit('loadData');
	}
};
</script>

<style></style>
